首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX  ›  程序员

Intellij IDEA Community 有哪些方面无法满足你的需求?

  •  
  •   hujianxin · 37 天前 · 3007 次点击
    这是一个创建于 37 天前的主题,其中的信息可能已经有所发展或是发生改变。

    而不得不去使用旗舰版?

    31 回复  |  直到 2019-05-27 17:06:43 +08:00
        1
    tchqiq   37 天前
    好像并没有额
    但是就是想用旗舰版的 毕竟学生免费
        2
    xy2401   37 天前
    不说插件,maven 没有可视化。不能解决冲突
        3
    flame90   37 天前   ♥ 3
    成长了这么多年了,还是不会自己写代码,还得让我手把手地写,失望(狗头)
        4
    chendy   37 天前
    1. 配置文件的提示
    2. 在非代码里敲包名,类名的提示
    3. 类图,看框架代码的时候很好用
        5
    hujianxin   37 天前
    @xy2401 旗舰版有可视化吗
        6
    momocraft   37 天前
    ts/js/dart ide

    不过我只买了 webstorm
        7
    nutting   37 天前
    社区版对 js 支持的不好吧,不太方便。另外就是 web 工程,大部分用 maven 插件可以。但是我就有遇到可能是工程结构有点特殊,maven 搞 tomcat 插件死活起不来
        8
    ruyuejun   37 天前
    我说一个需求,会被打吗:轻量
        9
    ManjusakaL   37 天前
    因为要用其余 PyCharm Goland 这样的,就顺手旗舰版了
        10
    sunwei0325   37 天前   ♥ 8
    就想打一笔钱过去给中国开发者长脸
        11
    SuperMild   37 天前
    只写 python 或 java 的话是基本够用了,但如果还写其他语言,或重度使用某些框架,应该考虑花钱升级。
        12
    vincel   37 天前
    java EE
        13
    EscYezi   37 天前 via iPhone
    不支持 freemarker 的语法高亮
        14
    hujianxin   37 天前
        15
    qwerthhusn   37 天前
    不支持,Spring 的 Bean 依赖检查,不支持 Spring Boot 配置文件的自动补全
        16
    locoz   37 天前   ♥ 2
    不能吃满我的内存
        17
    fhsan   37 天前
    eclipse 顶不住吗?
        18
    tedzhou1221   37 天前
    @xy2401 2# maven 有什么工具可以可视化的?我现在用 Maven helper 解决冲突
        19
    kaneg   37 天前 via iPhone
    JavaScript
        20
    mreasonyang   37 天前 via iPhone
    ajc ……
        21
    MeteorCat   37 天前 via Android
    自从用了他,我买电脑内存都要 16G 起步
        22
    luozic   37 天前 via iPhone
    vscode 搞 java 的 debug 和没有一样。
        23
    hhhsuan   37 天前 via Android
    太贵了,买不起
        24
    Trim21   37 天前 via Android
    @hhhsuan 说的是社区版,是免费的
        25
    cmqwan   37 天前 via iPhone
    tomcat 吧,当时就是因为这个玩意。社区版启动方式里面没有 tomcat
        26
    fngtz   37 天前 via iPhone
    远程开发呀,容器呀。
        27
    weakish   37 天前
    其他语言,Go、TypeScript、PHP
        28
    hronro   37 天前
    我觉得还行,基本够用了
        29
    ghostwind   36 天前
    不能写 go 和 php
        30
    szq8014   36 天前
    啊。。字体渲染什么时候能增强增强,IDEA 的字体渲染和 vscode 的没法比啊,和 mac 上的也没法比,唉
        31
    wsseo   20 天前
    @szq8014 是啊,这字体渲染什么时候解决。
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   898 人在线   最高记录 5043   ·  
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 20ms · UTC 22:53 · PVG 06:53 · LAX 15:53 · JFK 18:53
    ♥ Do have faith in what you're doing.
    沪ICP备16043287号-1